﻿<%@ Page Title="Az utazási iroda" Language="C#" MasterPageFile="~/TravelAgency.Master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="ELTE.Web.TravelAgency.Default" %>

<asp:Content ID="_MainContent" ContentPlaceHolderID="_MainContentPlaceholder" runat="server">
    <asp:Timer ID="_Timer" runat="server" Interval="60000" OnTick="Timer_Tick" />
    <!-- időzítő, amely frissíti a tartalmat -->
    <asp:ScriptManager ID="_ScriptManager" runat="server" />
    <!-- szkriptmenedzser, amely frissíti az UpdatePanel tartalmát -->
    <asp:UpdatePanel ID="_UpdatePlaces" runat="server">
        <ContentTemplate>
            <h3>
                Elérhető szálláshelyek (<asp:Label ID="_LabelTime" runat="server" />):</h3>
            <!-- a lista egy csoportjában két elem lesz -->
            <asp:ListView ID="_ListPlaces" runat="server" DataKeyNames="Id" DataSourceID="_DataBuildings"
                GroupItemCount="2">
                <EmptyDataTemplate>
                    <table id="Table1" runat="server">
                        <tr>
                            <td>
                                <div class="contentText">
                                    Jelenleg nincs elérhető szálláshely.
                                </div>
                            </td>
                        </tr>
                    </table>
                </EmptyDataTemplate>
                <GroupTemplate>
                    <!-- csoportsablon -->
                    <tr id="itemPlaceholderContainer" runat="server">
                        <td id="itemPlaceholder" runat="server">
                        </td>
                    </tr>
                </GroupTemplate>
                <ItemTemplate>
                    <td>
                        <table border="0" width="300">
                            <tr class="buildingItem">
                                <td>
                                    <a href="Details.aspx?Building=<%# Eval("Id") %>">
                                        <image src="Details.aspx?Building=<%# Eval("Id") %>&Image=0" border="0" class="contentImage">
                                    </a>
                                </td>
                                <td>
                                    <div class="buildingItemHead">
                                        <a href="Details.aspx?Building=<%# Eval("Id") %>">
                                            <%# Eval("Name") %></a>
                                    </div>
                                    <div class="buildingItemContent">
                                        <strong>Város: </strong>
                                        <%# Eval("City.Name") %><br>
                                        <strong>Leírás: </strong>
                                        <%# Eval("Comment").ToString().Substring(0, Eval("Comment").ToString().IndexOf(".") + 1) %>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </td>
                </ItemTemplate>
                <LayoutTemplate>
                    <table>
                        <tr>
                            <td>
                                <table id="groupPlaceholderContainer" runat="server">
                                    <tr id="groupPlaceholder" runat="server">
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr id="Tr1" runat="server">
                            <td id="Td1" runat="server">
                            </td>
                        </tr>
                    </table>
                </LayoutTemplate>
            </asp:ListView>
        </ContentTemplate>
    </asp:UpdatePanel>
    <!-- adatforrás, amely már két táblából tölt be adatokat és megszűri az eredményt -->
    <asp:EntityDataSource ID="_DataBuildings" runat="server" EnableFlattening="False"
        AutoGenerateWhereClause="True" ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
        EntitySetName="Building" Include="City">
        <WhereParameters>
            <asp:QueryStringParameter Name="CityId" QueryStringField="City" Type="Int32" />
        </WhereParameters>
    </asp:EntityDataSource>
</asp:Content>
