﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ELearning.Models.Exceptions
{
    /// <summary>
    /// Adatmentési kivétel
    /// </summary>
    public class DataSaveFailedException : Exception
    {
        /// <summary>
        /// Konstruktor
        /// </summary>
        /// <param name="message">Üzenet</param>
        public DataSaveFailedException(String message)
            : base(message)
        { }

        /// <summary>
        /// Konstruktor
        /// </summary>
        /// <param name="message">Üzenet</param>
        /// <param name="innerException">Előzmény kivétel</param>
        public DataSaveFailedException(String message, Exception innerException)
            : base(message, innerException)
        { }
    }
}