﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace ELearning.Models
{
    /// <summary>
    /// Előnézeti kép nézet modellje
    /// </summary>
    public class ImageViewModel
    {
        /// <summary>
        /// Előzo feltöltés sikeressége
        /// </summary>
        [ScaffoldColumn(false)]
        public Boolean PreviousSuccess { get; set; }

        /// <summary>
        /// Előnézeti kép
        /// </summary>
        [DisplayName("Előnézeti kép")]
        [Required(ErrorMessage = "Kötelező fájlt feltölteni.")]
        public HttpPostedFileWrapper Image { get; set; }
    }
}