﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ELearning.Models.RegisterViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Regisztráció
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Regisztráció</h2>

    <% Html.EnableClientValidation(); %>
    <% using (Html.BeginForm()) { %>
        <p>
            Add meg a bejelentkezési adataid.<br />
            A bejelentkezéshez engedélyezned kell a sütiket.
        </p>

        <%: Html.ValidationSummary(true) %>

        <table>
            <tr>
                <td class="editor-label"><%: Html.LabelFor(model => model.UserName) %>:</td>
                <td class="editor-field"><%: Html.TextBoxFor(model => model.UserName) %></td>
                <td><%: Html.ValidationMessageFor(model => model.UserName) %></td>
            </tr>
            <tr>
                <td class="editor-label"><%: Html.LabelFor(model => model.Email) %>:</td>
                <td class="editor-field"><%: Html.TextBoxFor(model => model.Email)%></td>
                <td><%: Html.ValidationMessageFor(model => model.Email)%></td>
            </tr>
            <tr>
                <td class="editor-label"><%: Html.LabelFor(model => model.UserPass) %>:</td>
                <td class="editor-field"><%: Html.PasswordFor(model => model.UserPass) %></td>
                <td><%: Html.ValidationMessageFor(model => model.UserPass) %></td>
            </tr>
            <tr>
                <td class="editor-label"><%: Html.LabelFor(model => model.ConfirmPass) %>:</td>
                <td class="editor-field"><%: Html.PasswordFor(model => model.ConfirmPass)%></td>
                <td><%: Html.ValidationMessageFor(model => model.ConfirmPass)%></td>
            </tr>
            <tr>
                <td colspan="2" class="right">
                    <input type="submit" id="submitButton" name="submitButton" value="Regisztráció" />
                </td>
                <td></td>
            </tr>
        </table>
    <% } %>

</asp:Content>
