﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ELearning.Models.ImageViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Előnézeti kép hozzáadása
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Előnézeti kép hozzáadása</h2>

    <% using (Html.BeginForm(null, null, FormMethod.Post,
           new { enctype = "multipart/form-data" })) {%>
        <%: Html.ValidationSummary(true) %>

        <% if (Model.PreviousSuccess) { %>
            <div class="success">A kép feltöltése sikeresen megtörtént!</div>
        <% } %>

        <fieldset>
            <legend>Adj hozzá előnézeti képet!</legend>

            <div class="editor-label">
                <%: Html.LabelFor(model => model.Image) %>
            </div>
            <div class="editor-field">
                <input type="file" id="Image" name="Image" />
                <%: Html.ValidationMessageFor(model => model.Image)%>
            </div>
            
            <p>
                <input type="submit" id="uploadButton" name="uploadButton" value="Feltöltés" />
                <input type="submit" id="finishButton" name="finishButton" value="Befejezés" />
            </p>
        </fieldset>

    <% } %>

</asp:Content>
