﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ELearning.Models.LectureViewModel>" %>
<%@ Import Namespace="ELearning.Models" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Tananyag feltöltése
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Tananyag feltöltése</h2>

    <% using (Html.BeginForm(null, null, FormMethod.Post,
           new { enctype = "multipart/form-data" })) {%>
        <%: Html.ValidationSummary(true) %>

        <fieldset>
            <legend>Add meg az új tananyag adatait!</legend>

            <div class="editor-label">
                <%: Html.LabelFor(model => model.CourseId) %>
            </div>
            <div class="editor-field">
                <%
                    List<SelectListItem> courseList = new List<SelectListItem>();
                    foreach(ECourse course in Model.Courses)
                        courseList.Add(new SelectListItem
                        {
                            Text = course.CourseName,
                            Value = course.Id
                        });
                %>
                <%: Html.DropDownListFor(model => model.CourseId, courseList)  %>
                <%: Html.ValidationMessageFor(model => model.CourseId) %>
            </div>
           
            <div class="editor-label">
                <%: Html.LabelFor(model => model.Name) %>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Name) %>
                <%: Html.ValidationMessageFor(model => model.Name) %>
            </div>
            
            <div class="editor-label">
                <%: Html.LabelFor(model => model.Description) %>
            </div>
            <div class="editor-field">
                <%: Html.TextAreaFor(model => model.Description) %>
                <%: Html.ValidationMessageFor(model => model.Description) %>
            </div>
            
            <div class="editor-label">
                <%: Html.LabelFor(model => model.Credit) %>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Credit) %>
                <%: Html.ValidationMessageFor(model => model.Credit) %>
            </div>

            <div class="editor-label">
                <%: Html.LabelFor(model => model.File) %>
            </div>
            <div class="editor-field">
                <input type="file" id="File" name="File" />
                <%: Html.ValidationMessageFor(model => model.File) %>
            </div>
            
            <p>
                <input type="submit" id="submitButton" name="submitButton" value="Feltöltés" />
            </p>
        </fieldset>

    <% } %>

</asp:Content>

