﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<ELearning.Models.ECourse>>" %>
<%@ Import Namespace="ELearning.Models" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Kurzusok
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Kurzusok</h2>

    <% foreach (var item in Model) { %>
    
        <div>
            <p class="header"><%: item.CourseName %></p>
            <p><%: item.CourseDescription %></p>

            <% foreach (ELecture lecture in item.ELectures) { %>
                <fieldset>
                    <legend class="bold"><%: lecture.LectureName %></legend>
                    <p><%: lecture.LectureDescription %></p>

                    <% foreach (ELectureImage image in lecture.ELectureImages) { %>
                        <a href="<%: Url.Action("LargeImage", new { id = image.ImageId }) %>" title="<%: lecture.LectureName %>">
                            <img src="<%: Url.Action("SmallImage", new { id = image.ImageId }) %>" alt="<%: lecture.LectureName %>" />
                        </a>
                    <% } %>

                    <p class="italic">
                        Ár: <%: lecture.LecturePrice %> pont<br />
                        <% if(User.Identity.IsAuthenticated) { %>
                        <a href="<%: Url.Action("Download", new { id = lecture.Id }) %>">Letöltés</a>
                        <% } %>
                    </p>
                </fieldset>
            <% } %>
        </div>
    
    <% } %>

</asp:Content>

