﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="ELTE.Web.TravelAgency.Login" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Az utazási iroda weblapja - Bejelentkezés</title>
    <link href="~/Styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="_MainForm" runat="server">
    <div class="header">
        <div class="headerText">
            <h1>
                Az utazási iroda</h1>
            <h3>
                A legjobb szállásfoglaló</h3>
        </div>
        <div class="headerAdmin">
            <table>
                <tr>
                    <td>
                        <a href="Login.aspx">Bejelentkezés</a>
                    </td>
                    <td>
                        <a href="Register.aspx">Regisztráció</a>
                    </td>
                    <td>
                        Foglalások
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <div class="content">
        <div class="leftColumn">
            <!-- adatforrás, amely egy entitás modellbeli táblához csatlakozik -->
            <asp:EntityDataSource ID="_DataCityMenu" runat="server" EnableFlattening="False"
                ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
                EntitySetName="City">
            </asp:EntityDataSource>
            <h3>
                Keresés városok szerint</h3>
            <!-- a lista az adatforrásból tölti be a tartalmat -->
            <asp:ListView ID="_ListCityMenu" runat="server" DataKeyNames="Id" DataSourceID="_DataCityMenu">
                <EmptyDataTemplate>
                    Nincs hirdetés.<!-- amennyiben nem sikerült betölteni a tartalmat --></EmptyDataTemplate>
                <ItemTemplate>
                    <!-- az elemsablon -->
                    <li><a href="Default.aspx?City=<%# Eval("Id") %>">
                        <%# Eval("Name") %></a>
                        <!-- az Eval metódus olvassa ki a megfelelő tuljadonságot az adatforrásból -->
                    </li>
                </ItemTemplate>
                <LayoutTemplate>
                    <!-- az elhelyezéssablon -->
                    <ul id="itemPlaceholderContainer" runat="server">
                        <li id="itemPlaceholder" runat="server" />
                    </ul>
                </LayoutTemplate>
            </asp:ListView>
        </div>
        <div class="rightColumn" id="_DivLoginContent" runat="server">
            <table width="400">                
                <tr>
                    <td colspan="4" width="600" align="left" valign="middle">
                        <div class="contentHead">
                            Felhasználói adatok:</div>
                    </td>
                </tr>
                <tr>
                    <td width="120" align="left" valign="middle">
                        Felhasználónév:
                    </td>
                    <td colspan="3" width="480">
                        <asp:TextBox ID="_TextUserName" runat="server" Width="180" />
                    </td>
                </tr>
                <tr>
                    <td width="120" align="left" valign="middle">
                        Jelszó:
                    </td>
                    <td colspan="3" width="480">
                        <asp:TextBox ID="_TextPassword" runat="server" TextMode="Password" Width="180" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4" align="left">
                        <asp:CheckBox ID="_CheckStoreLogin" runat="server" Text="Bejelentkezési adatok megjegyzése" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4" align="right">
                        <asp:Button class="button" ID="_ButtonLogin" runat="server" Text="Belépés" OnClick="ButtonLogin_Click" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4" align="right">
                        &nbsp;
                    </td>
                </tr>
            </table>
        </div>
    </div>
    </form>
</body>
</html>