﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ELTE.Web.TravelAgency
{
    public partial class Login : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        public void ButtonLogin_Click(object sender, EventArgs e)
        {
            using (TravelAgencyEntities entities = new TravelAgencyEntities())
            {
                Customer customer = entities.Customer
                    .Where(x => x.UserName == _TextUserName.Text && x.UserPassword == _TextPassword.Text)
                    .FirstOrDefault();
                // lekérdezzük, van-e a felhasználónévvel és a jelszóval rendelkező vásárló
                if (customer != null) // amennyiben van találat
                {
                    Session.Add("Customer", customer); // felvesszük a felhasználót a munkafolyamatba

                    if (_CheckStoreLogin.Checked) // amennyiben a felhasználó megjegyezteti az adatait
                    {
                        HttpCookie cookie = new HttpCookie("Customer"); // készítünk egy sütit
                        cookie.Values.Add("CustomerName", _TextUserName.Text); // felvesszük a süti értékeit
                        cookie.Values.Add("CustomerPassword", _TextPassword.Text);
                        cookie.Expires = DateTime.Now.AddDays(60); // 60 napig lesz érvényes
                        Response.Cookies.Add(cookie); // elküldjük a sütit
                    }

                    _DivLoginContent.Controls.Clear(); // lecseréljük a bejelentkezési lap tartalmát
                    _DivLoginContent.Controls.Add(new Literal { Text = "<div class=\"contentHead\">A belépés sikerült!</div>" });
                    // egy szöveges tartalmat jelenítünk meg
                }
                else
                {
                    _DivLoginContent.Controls.Clear(); // lecseréljük a bejelentkezési lap tartalmát
                    _DivLoginContent.Controls.Add(new Literal { Text = "<div class=\"contentHead\">A belépés sikertelen, ellenőrizze a felhasználónevet és jelszót!</div>" });
                }
            }
        }
    }
}