﻿<%@ Page Title="Az utazási iroda - Regisztráció" Language="C#" MasterPageFile="~/TravelAgency.Master"
    AutoEventWireup="true" CodeBehind="Register.aspx.cs" Inherits="ELTE.Web.TravelAgency.Register" %>

<asp:Content ID="_MainContent" ContentPlaceHolderID="_MainContentPlaceholder" runat="server">
    <div class="rightColumnContent" id="_DivRegisterContent" runat="server">
        <table width="600">
            <tr>
                <td colspan="4" width="600" align="left" valign="middle">
                    <div class="contentHead">
                        Személyes adatok:</div>
                </td>
            </tr>
            <tr>
                <td width="120" align="left" valign="middle">
                    Név:
                </td>
                <td colspan="3" width="480">
                    <asp:TextBox ID="_TextName" runat="server" Width="260" />
                </td>
            </tr>
            <tr>
                <td width="120" align="left" valign="middle">
                    Számlázási cím:
                </td>
                <td colspan="3" width="480">
                    <asp:TextBox ID="_TextAddress" runat="server" Width="470" />
                </td>
            </tr>
            <tr>
                <td width="120" align="left" valign="middle">
                    Telefonszám:
                </td>
                <td width="180">
                    <asp:TextBox ID="_TextPhoneNumber" runat="server" Width="160" />
                </td>
                <td width="100" align="left" valign="middle">
                    E-mail cím:
                </td>
                <td width="180">
                    <asp:TextBox ID="_TextEmail" runat="server" Width="180" />
                </td>
            </tr>
            <tr>
                <td colspan="4" width="600" align="left" valign="middle">
                    <div class="contentHead">
                        Felhasználói adatok:</div>
                </td>
            </tr>
            <tr>
                <td width="120" align="left" valign="middle">
                    Felhasználónév:
                </td>
                <td colspan="3" width="480">
                    <asp:TextBox ID="_TextUserName" runat="server" Width="180" />
                </td>
            </tr>
            <tr>
                <td width="120" align="left" valign="middle">
                    Jelszó:
                </td>
                <td colspan="3" width="480">
                    <asp:TextBox ID="_TextPassword" runat="server" TextMode="Password" Width="180" />
                </td>
            </tr>
            <tr>
                <td width="120" align="left" valign="middle">
                    Jelszó újra:
                </td>
                <td colspan="3" width="480">
                    <asp:TextBox ID="_TextPasswordConfirm" runat="server" TextMode="Password" Width="180" />
                </td>
            </tr>
            <tr>
                <td colspan="4" width="600" align="left" valign="middle">
                    <!-- validátorok az ellenőrzéshez -->
                    <asp:RequiredFieldValidator ID="_ValidatorName" runat="server" ControlToValidate="_TextName"
                        ErrorMessage="A név megadása kötelező!<br />" Display="Dynamic" />
                    <asp:RequiredFieldValidator ID="_ValidatorEmail" runat="server" ControlToValidate="_TextEmail"
                        ErrorMessage="Az e-mail cím megadása kötelező!<br />" Display="Dynamic" />
                    <asp:RegularExpressionValidator ID="_ValidatorEmailFormat" runat="server" ControlToValidate="_TextEmail"
                        ValidationExpression="\b[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}\b" ErrorMessage="Az e-mail nem megfelelő formátumú!<br />"
                        Display="Dynamic" />
                    <asp:RegularExpressionValidator ID="_ValidatorUserName" runat="server" ControlToValidate="_TextUserName"
                        ValidationExpression="\b[a-zA-z0-9]+\b" ErrorMessage="A felhasználónév csak kis és nagybetűt, valamint számot tartalmazhat!<br />"
                        Display="Dynamic" />
                    <asp:RequiredFieldValidator ID="_ValidatorPassword" runat="server" ControlToValidate="_TextPassword"
                        ErrorMessage="Jelszó megadása kötelező!<br />" Display="Dynamic" />
                    <asp:RequiredFieldValidator ID="_ValidatorPasswordConfirm" runat="server" ControlToValidate="_TextPasswordConfirm"
                        ErrorMessage="A jelszót meg kell erősíteni!<br />" Display="Dynamic" />
                    <asp:RegularExpressionValidator ID="_ValidatorPasswordFormat" runat="server" ControlToValidate="_TextPassword"
                        ValidationExpression="\b[a-zA-Z0-9]{6,24}\b" ErrorMessage="A jelszó 6-24 karakter hosszú, csak kis és nagybetűt, valamint számot tartalmazhat!<br />"
                        Display="Dynamic" />
                    <asp:CompareValidator ID="_ValidatorPasswordMatch" runat="server" ControlToValidate="_TextPasswordConfirm"
                        ControlToCompare="_TextPassword" Operator="Equal" ErrorMessage="A két jelszó nem egyezik!<br />"
                        Display="Dynamic" />
                </td>
            </tr>
            <tr>
                <td colspan="4" align="right">
                    <asp:Button class="button" ID="_ButtonRegister" runat="server" Text="Regisztrálás"
                        OnClick="ButtonRegister_Click" />
                </td>
            </tr>
            <tr>
                <td colspan="4" align="right">
                    &nbsp;
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
