﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ELTE.Web.TravelAgency
{
    public partial class Register : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        public void ValidatorRentTime_ServerValidate(object sender, ServerValidateEventArgs e)
        // az egyedi validátorhoz rendelt eseménykezelő
        {
            Int32 d;
            if (Int32.TryParse(e.Value, out d) && d >= 1) // ellenőrizzük, hogy az érték megfelelő-e
                e.IsValid = true;
            else
                e.IsValid = false;
        }

        public void ButtonRegister_Click(object sender, EventArgs e)
        {
            using (TravelAgencyEntities entities = new TravelAgencyEntities())
            {
                entities.AddToCustomer(new Customer
                {
                    UserName = _TextUserName.Text,
                    UserPassword = _TextPassword.Text,
                    Name = _TextName.Text,
                    Address = _TextAddress.Text,
                    Email = _TextEmail.Text,
                    PhoneNumber = _TextPhoneNumber.Text
                }); // felveszünk egy új felhasználót

                try
                {
                    entities.SaveChanges(); // elmentjük a változtatásokat

                    _DivRegisterContent.Controls.Clear(); // lecseréljük a regisztrációs lap tartalmát
                    _DivRegisterContent.Controls.Add(new Literal { Text = "<div class=\"contentHead\">A regisztráció sikerült, bejelentkezhet!</div>" });
                    // egy szöveges tartalmat jelenítünk meg
                }
                catch
                {
                    _DivRegisterContent.Controls.Clear(); // lecseréljük a regisztrációs lap tartalmát
                    _DivRegisterContent.Controls.Add(new Literal { Text = "<div class=\"contentHead\">A regisztráció sikertelen, a felhasználó már létezik!</div>" });
                    // egy szöveges tartalmat jelenítünk meg
                }
            }
        }
    }
}