﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TravelAgency.Master" AutoEventWireup="true"
    CodeBehind="RentAppartment.aspx.cs" Inherits="ELTE.Web.TravelAgency.RentAppartment" %>

<asp:Content ID="_MainContent" ContentPlaceHolderID="_MainContentPlaceholder" runat="server">
    <asp:FormView ID="_FormAppartment" runat="server" DataKeyNames="Id" DataSourceID="_DataAppartments">
        <ItemTemplate>
            <table width="600">
                <tr>
                    <td>
                        <div class="contentHead">
                            <%# Eval("Building.Name") %></div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div class="contentComment">
                            <strong>
                                <%# Eval("Room") %>.</strong>
                            <%# Eval("Comment") %></div>
                        <div class="contentPrice">
                            <strong>Ár:</strong>
                            <%# Eval("Price") %>
                            EUR/éjszaka</div>
                    </td>
                </tr>
            </table>
            </div>
        </ItemTemplate>
    </asp:FormView>
    <table width="600">
        <tr>
            <td colspan="4" width="600" align="center" valign="middle">
                <div id="_DivRentMade" runat="server" class="contentHead">
                    A foglalás megtörtént, köszönjük!</div>
            </td>
        </tr>
        <tr>
            <td colspan="4" width="600" align="center" valign="middle">
                <div id="_DivLoginRequired" runat="server" class="contentHead">
                    A foglaláshoz előbb jelentkezzen be!</div>
            </td>
        </tr>
        <tr>
            <td colspan="4" width="600" align="left" valign="middle">
                <div class="contentHead">
                    Személyes adatok:</div>
            </td>
        </tr>
        <tr>
            <td colspan="4" width="600" align="left" valign="middle">
                <div class="contentHead">
                    Foglalási adatok:</div>
            </td>
        </tr>
        <tr>
            <td width="120" align="left" valign="top">
                Foglalás kezdete:
            </td>
            <td colspan="2" width="300" align="left" valign="top">
                <!-- időzítő, amely frissíti a tartalmat -->
                <asp:ScriptManager ID="_ScriptManager" runat="server" />
                <!-- szkriptmenedzser, amely frissíti az UpdatePanel tartalmát -->
                <asp:UpdatePanel ID="_UpdateCalendar" runat="server">
                    <ContentTemplate>
                        <asp:Calendar ID="_CalendarStartTime" runat="server">
                            <SelectedDayStyle BackColor="#333399" ForeColor="White" />
                            <TitleStyle BackColor="#333399" ForeColor="White" />
                        </asp:Calendar>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </td>
            <td width="180" align="left" valign="top">
                <asp:Button class="button" ID="_ButtonCheckRentTime" runat="server" Text="Időpont ellenőrzés"
                    OnClick="ButtonCheckRentTime_Click" />
            </td>
        </tr>
        <tr>
            <td width="120" align="left" valign="top">
                Időtartama:
            </td>
            <td colspan="3" width="480" align="left" valign="top">
                <asp:TextBox ID="_TextRentTime" runat="server" Width="180" />
            </td>
        </tr>
        <tr>
            <td colspan="4" width="400" align="left" valign="middle" class="contentHead">
                <br />
                <!-- triggert használunk, amely biztosít egy aszinkron frissítést valamely vezérlő valamely eseményére -->
                <asp:UpdatePanel ID="_UpdateStartTimeCheck" runat="server">
                    <Triggers>
                        <asp:AsyncPostBackTrigger ControlID="_ButtonCheckRentTime" EventName="Click" />
                    </Triggers>
                    <ContentTemplate>
                        <asp:Label ID="_LabelCheckRentTime" runat="server" ForeColor="Red" />
                    </ContentTemplate>
                </asp:UpdatePanel>
                <!-- egyedi validátorok -->
                <asp:CustomValidator ID="_ValidatorRentTime" runat="server" ControlToValidate="_TextRentTime"
                    OnServerValidate="ValidatorRentTime_ServerValidate" ErrorMessage="Az időtartam csak pozitív szám lehet!<br />"
                    Display="Dynamic" />
                <asp:CustomValidator ID="_ValidatorStartTime" runat="server" ErrorMessage="A foglalást csak jövőbeli kezdettel végezhető!<br />"
                    Display="Dynamic" />
            </td>
        </tr>
        <tr>
            <td colspan="4" align="right">
                <asp:Button class="button" ID="_ButtonRent" runat="server" Text="Foglalás" OnClick="ButtonRent_Click" />
            </td>
        </tr>
        <tr>
            <td colspan="4" align="right">
                &nbsp;
            </td>
        </tr>
    </table>
    <asp:EntityDataSource ID="_DataAppartments" runat="server" EnableFlattening="False"
        AutoGenerateWhereClause="True" ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
        EntitySetName="Appartment" Include="Building">
        <WhereParameters>
            <asp:QueryStringParameter Name="Id" QueryStringField="Appartment" Type="Int32" />
        </WhereParameters>
    </asp:EntityDataSource>
</asp:Content>
