﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ELearning.Models.Exceptions
{
    /// <summary>
    /// Nem létező azonosító kivétel
    /// </summary>
    public class UserNameNotExitsException : Exception
    {
        /// <summary>
        /// Azonosító
        /// </summary>
        public String Name { get; private set; }

        /// <summary>
        /// Konstruktor
        /// </summary>
        /// <param name="name">Azonosító</param>
        public UserNameNotExitsException(String name)
        {
            Name = name;
        }
    }
}