﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace ELearning.Models
{
    /// <summary>
    /// Bejelentkezési nézet modellje
    /// </summary>
    public class LogOnViewModel
    {
        /// <summary>
        /// Felhasználónév
        /// </summary>
        [Required(ErrorMessage = "Az azonosító megadása kötelező.")]
        [DisplayName("Azonosító")]
        public String UserName { get; set; }


        /// <summary>
        /// Jelszó
        /// </summary>
        [Required(ErrorMessage = "A jelszó megadása kötelező.")]
        [DisplayName("Jelszó")]
        public String UserPass { get; set; }
    }
}